# Cinder

# cinder::gl::TextureCache Class Reference

`#include <Texture.h>`

List of all members.

## Classes
struct | Obj
## Public Member Functions
| TextureCache ()
| TextureCache (const Surface8u &prototypeSurface, const Texture::Format &format)
gl::Texture | cache (const Surface8u &data)
## Protected Attributes
shared_ptr< Obj > | mObj
typedef shared_ptr< Obj > TextureCache::* | unspecified_bool_type
| Emulates shared_ptr-like behavior.
| TextureCache (const TextureCache &other)
| Emulates shared_ptr-like behavior.
TextureCache & | operator= (const TextureCache &other)
| Emulates shared_ptr-like behavior.
bool | operator== (const TextureCache &other)
| Emulates shared_ptr-like behavior.
| operator unspecified_bool_type ()
| Emulates shared_ptr-like behavior.
void | reset ()
| Emulates shared_ptr-like behavior.

## Member Typedef Documentation

typedef shared_ptr<Obj> TextureCache::* cinder::gl::TextureCache::unspecified_bool_type

Emulates shared_ptr-like behavior.

## Constructor & Destructor Documentation

cinder::gl::TextureCache::TextureCache | ( |  | ) |

cinder::gl::TextureCache::TextureCache | ( | const Surface8u & | prototypeSurface,
|  | const Texture::Format & | format |
| ) |  |  |

cinder::gl::TextureCache::TextureCache | ( | const TextureCache & | other | ) |

Emulates shared_ptr-like behavior.

## Member Function Documentation

gl::Texture cinder::gl::TextureCache::cache | ( | const Surface8u & | data | ) |

TextureCache& cinder::gl::TextureCache::operator= | ( | const TextureCache & | other | ) |

Emulates shared_ptr-like behavior.

bool cinder::gl::TextureCache::operator== | ( | const TextureCache & | other | ) |

Emulates shared_ptr-like behavior.

cinder::gl::TextureCache::operator unspecified_bool_type | ( |  | ) |

Emulates shared_ptr-like behavior.

void cinder::gl::TextureCache::reset | ( |  | ) |

Emulates shared_ptr-like behavior.

## Member Data Documentation

shared_ptr<Obj> cinder::gl::TextureCache::mObj`[protected]`

The documentation for this class was generated from the following files:

- include/cinder/gl/Texture.h
- src/cinder/gl/Texture.cpp